Subject: Uniqueness of IDs for package elements

From: "Watson, Mark" <[email-masked]>
Date: Fri, 17 Nov 2000 10:03:37 -0000

Are the IDs of package elements (Properties, Events, Signals, Statistics,
Parameters to Events and Parameters to Signals) unique within the whole
package, or just unique within each type of element.

i.e. could a Property and an Event both have the same ID within a package ?

It seems the type of the element (Property, Events, Signal, Statistic,
Parameter to an Event and Parameter to a Signal) can be derived from the
context in which the element in found in a message, so the IDs could be
unique only within each type of element, or in the case of parameters unique
only within the particular Event or Signal which the parameter is defined
with.

Couldn't find any description of this in the spec.

Regards,

Mark Watson
Nortel Networks